{
    "name": "template-webpack-server",
    "version": "1.0.0",
    "description": "Template of Webpack server",
    "author": "Shiroe_sama <pro.casper805@sfr.fr>",
    "private": true,
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/shiros/template/webpack-server.git"
    },
    "keywords": [
        "webpack",
        "server",
        "template",
        "shiros"
    ],
    "main": "dist/main.js",
    "jsnext:main": "src/main.js",
    "files": [
        "dist",
        "src",
        "public",
        "*.json",
        "*.js",
        "*.html"
    ],
    "scripts": {
        "build": "webpack --config ./webpack.config.js",
        "watch": "webpack --config ./webpack.config.js --watch",
        "serve": "webpack serve --config webpack.config.js",
        "test": "echo \"Error: no test specified\" && exit 1"
    },
    "dependencies": {},
    "devDependencies": {
        "@babel/core": "^7.12.16",
        "@babel/eslint-parser": "^7.12.16",
        "@babel/plugin-proposal-class-properties": "^7.12.13",
        "@babel/plugin-syntax-dynamic-import": "^7.8.3",
        "@babel/plugin-transform-classes": "^7.12.13",
        "@babel/plugin-transform-modules-commonjs": "^7.12.13",
        "@babel/preset-env": "^7.12.16",
        "babel-loader": "^8.2.2",
        "clean-webpack-plugin": "^3.0.0",
        "eslint": "^7.20.0",
        "eslint-loader": "^4.0.2",
        "webpack": "^5.21.2",
        "webpack-cli": "^4.5.0",
        "webpack-dev-server": "^3.11.2"
    }
}
